# IdaLite shared TSConfig

## Окружение

```json
{
    "engines": {
        "node": ">=18.15.0",
        "npm": ">=9.5.0"
    },
    "requiredDependencies": {
        "typescript": "^5.0.0"
    }
}
```

## Установка

1. Добавьте `@idalite-frontend:registry` в глобальные настройки `npm`

```bash
npm set @idalite-frontend:registry https://git.idalite.com/api/v4/packages/npm/
```

2. Выполните команду установки пакета

```bash
npm install @idalite-frontend/tsconfig
```

### Использование

1. Добавьте в корень проекта файл `tsconfig.json`


2. В параметре `extends` укажите данный пакет

```json
{
    "extends": "@idalite-frontend/tsconfig"
}
```
